SampleProcessor (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.report.processor, interface: SampleProcessor

Package org.apache.jmeter.report.processor

# Interface SampleProcessor

All Known Subinterfaces:
  `SampleConsumer`, `SampleProducer`

All Known Implementing Classes:
  `AbstractGraphConsumer`, `AbstractOverTimeGraphConsumer`, `AbstractSampleConsumer`, `AbstractSampleProcessor`, `AbstractSummaryConsumer`, `AbstractVersusRequestsGraphConsumer`, `ActiveThreadsGraphConsumer`, `AggregateConsumer`, `ApdexSummaryConsumer`, `BytesThroughputGraphConsumer`, `CodesPerSecondGraphConsumer`, `ConnectTimeOverTimeGraphConsumer`, `CustomGraphConsumer`, `ErrorsSummaryConsumer`, `ExternalSampleSorter`, `FilterConsumer`, `HitsPerSecondGraphConsumer`, `LatencyOverTimeGraphConsumer`, `LatencyVSRequestGraphConsumer`, `NormalizerSampleConsumer`, `RequestsSummaryConsumer`, `ResponseCustomGraphGraphConsumer`, `ResponseTimeDistributionGraphConsumer`, `ResponseTimeOverTimeGraphConsumer`, `ResponseTimePercentilesGraphConsumer`, `ResponseTimePercentilesOverTimeGraphConsumer`, `ResponseTimePerSampleGraphConsumer`, `ResponseTimeVSRequestGraphConsumer`, `SampleWriterConsumer`, `StatisticsSummaryConsumer`, `SyntheticResponseTimeDistributionGraphConsumer`, `TaggerConsumer`, `TimeVSThreadGraphConsumer`, `Top5ErrorsBySamplerConsumer`, `TotalTPSGraphConsumer`, `TransactionsPerSecondGraphConsumer`

public interface SampleProcessor
Defines a sample processor.

Basically a sample processor is meant to process samples. There is currently 2 kinds of sample processors :

- SampleConsumer : sample consumers are sample processors meant to consume samples
- SampleProducer : sample producers are sample processors meant to produce samples

Since:
  3.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getChannelAttribute(int channel, String key)`
  Return an attribute value associated on a channel on this sample processor
  `SampleContext`
  `getSampleContext()`
  Gets the sample context.
  `void`
  `setChannelAttribute(int channel, String key, Object value)`
  Associate an attribute to the specified channel for this sample processor
  If the attribute already exist, it is replaced.
  `void`
  `setSampleContext(SampleContext ctx)`
  Set sample context that this consumer should rely on.

- ## Method Details

  - ### getSampleContext

    SampleContext getSampleContext()
    Gets the sample context.
    Returns:
      the sample context

  - ### setSampleContext

    void setSampleContext(SampleContext ctx)
    Set sample context that this consumer should rely on.
    Parameters:
      `ctx` - the new sample context

  - ### setChannelAttribute

    void setChannelAttribute(int channel, String key, Object value)
    Associate an attribute to the specified channel for this sample processor
    If the attribute already exist, it is replaced.
    Parameters:
      `channel` - The channel number to associate the attribute on
      `key` - The attribute key
      `value` - The attribute value to be set

  - ### getChannelAttribute

    Object getChannelAttribute(int channel, String key)
    Return an attribute value associated on a channel on this sample processor
    Parameters:
      `channel` - The channel on which the attribute is associated
      `key` - The attribute key to be retrieved
    Returns:
      The attribute value or null if none is found for the specified key